#!/bin/bash

# Simple logging function for SFTP User Addon
log_message() {
  local level="$1"
  local message="$2"
  local logfile="$3"
  local timestamp=$(date +"%Y-%m-%d %H:%M:%S")
  
  echo "[$timestamp][$level] $message" >> "/home/jelastic/add-sftp-user-addon/logs/$logfile"
  
  # Also log to main log
  echo "[$timestamp][$level] $message" >> "/home/jelastic/add-sftp-user-addon/logs/script_output.log"
  
  # Log errors/warnings
  if [[ "$level" == "ERROR" || "$level" == "WARNING" ]]; then
    echo "[$timestamp][$level] $message" >> "/home/jelastic/add-sftp-user-addon/logs/errors.log"
  fi
  
  # Log success/info
  if [[ "$level" == "INFO" || "$level" == "SUCCESS" ]]; then
    echo "[$timestamp][$level] $message" >> "/home/jelastic/add-sftp-user-addon/logs/operations.log"
  fi
} 